package com.virtual.tour.arquelogia.modelo;

/**
 * Created by Roger
 */
public class PuntoGps {

    //variables Globales
    private double latitud = 0;
    private double longitud = 0;
    private float grados = 0;
    private String descripcion = "";
    private int id = 0;

    /**
     * Constructor de la clase que crea un punto de GPS
     *
     * @param i,    id del punto.
     * @param lat,  Latitud.
     * @param lon,  Longitud.
     * @param grad, Grados donde mira el punto.
     * @param desc, Descripción del punto.
     */
    public PuntoGps(int i, double lat, double lon, float grad, String desc) {
        id = i;
        latitud = lat;
        longitud = lon;
        grados = grad;
        descripcion = desc;
    }


    //GETTERS Y SETTERS

    public double getLatitud() {
        return latitud;
    }

    public void setLatitud(double latitud) {
        this.latitud = latitud;
    }

    public double getLongitud() {
        return longitud;
    }

    public void setLongitud(double longitud) {
        this.longitud = longitud;
    }

    public float getGrados() {
        return grados;
    }

    public void setGrados(float grados) {
        this.grados = grados;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }
}
